Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# subsampled_view
[Image View Transformations]

## Detailed Description

view of a subsampled version of an image_view, stepping over a number of channels in X and number of rows in Y

## Functions

template<typename View>
dynamic_xy_step_type< View >::type | subsampled_view (const View &src, typename View::coord_t xStep, typename View::coord_t yStep)
template<typename View>
dynamic_xy_step_type< View >::type | subsampled_view (const View &src, const typename View::point_t &step)
template<typename ViewTypes>
dynamic_xy_step_type < any_image_view< ViewTypes > >::type | subsampled_view (const any_image_view< ViewTypes > &src, const point2< std::ptrdiff_t > &step)
template<typename ViewTypes>
dynamic_xy_step_type < any_image_view< ViewTypes > >::type | subsampled_view (const any_image_view< ViewTypes > &src, int xStep, int yStep)